package org.rcisoft.business.device.assets.entity;

import lombok.*;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* Created with  on 2018-4-12 15:33:22.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "bus_device")
public class BusDevice  implements  Serializable{


     @Id
     private String devId;

     private String devNm;

     private String devTpId;

     private String devNum;

     private String devLocal;

     private String model;

     private String facId;

     private String param;

     private Date installDate;
     //项目id
     private String proId;
     //系统id
     private String sysId;

     private String ownId;

     private BigDecimal shutPower;

     private BigDecimal runTm;

     private Integer errorNum;

     /**
      * 二维码存放路径
      */
     private String qrcodeUrl;

}

