package org.rcisoft.business.device.maintenance.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangXinYu
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "bus_dev_service")
public class BusDevService {
  @Id
  private String serId;
  private String serPrincipal;
  private String devId;
  private Date serTm;
  private String serContent;
  private String note;


  public String getSerId() {
    return serId;
  }

  public void setSerId(String serId) {
    this.serId = serId;
  }


  public String getSerPrincipal() {
    return serPrincipal;
  }

  public void setSerPrincipal(String serPrincipal) {
    this.serPrincipal = serPrincipal;
  }

  public String getDevId() {
    return devId;
  }

  public void setDevId(String devId) {
    this.devId = devId;
  }

  public Date getSerTm() {
    return serTm;
  }

  public void setSerTm(Date serTm) {
    this.serTm = serTm;
  }


  public String getSerContent() {
    return serContent;
  }

  public void setSerContent(String serContent) {
    this.serContent = serContent;
  }


  public String getNote() {
    return note;
  }

  public void setNote(String note) {
    this.note = note;
  }

}
