package org.rcisoft.business.device.task;

import org.rcisoft.business.device.assets.service.BusDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * Created by JiChao on 2018/5/23.
 * 更新所有设备的运行时长
 */
@Component
public class BusDeviceTask {

    @Autowired
    private BusDeviceService busDeviceServiceImpl;

    /**
     * 每10分钟查询更新一次
     */
    @Scheduled(cron = "0 0/10 * * * ?")
    public void runTime() {
        busDeviceServiceImpl.addRunTime();
    }

}
