package org.rcisoft.business.device.assets.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import java.io.Serializable;
import java.util.Date;
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DeviceAssetStatisticVo implements Serializable {
    //设备名称
    private String devNm;
    //设备类型
    private String devTpNm;
    //设备型号
    private String model;
    //厂家名称
    private String facNm;
    //设备参数
    private String param;
    //安装时间
    private Date installDate;

    public String getDevNm() {
        return devNm;
    }

    public void setDevNm(String devNm) {
        this.devNm = devNm;
    }

    public String getDevTpNm() {
        return devTpNm;
    }

    public void setDevTpNm(String devTpNm) {
        this.devTpNm = devTpNm;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getFacNm() {
        return facNm;
    }

    public void setFacNm(String facNm) {
        this.facNm = facNm;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public Date getInstallDate() {
        return installDate;
    }

    public void setInstallDate(Date installDate) {
        this.installDate = installDate;
    }
}
