package org.rcisoft.business.device.inspection.dao;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-4-18 15:41:54.
*/
@Repository
public interface InspectionRepository {


    /** 根据项目ID与与标志位查出最新的巡检记录信息
     * @param proId
     * @param flag
     * @return
     */
    List<Map<String, Object>> listTheLastInspectionInfomatinByProIdAndFlag(@Param("proId") String proId, @Param("flag") String flag);


    /** 根据项目ID与设备编号查出该设备所有巡检新纪录
     * @param proId
     * @param devNum
     * @return
     */
    List<Map<String, Object>> listAllInspectionInfomatinByProIdAndDevNum(@Param("proId") String proId, @Param("devNum") String devNum,@Param("mon") String mon);




}

