package org.rcisoft.business.device.inspection.service;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-4-18 15:41:54.
 */
public interface InspectionService {


    /** 根据项目ID查出最新的巡检记录信息
     * @param proId
     * @return
     */
    List<Map<String, Object>> listTheLastInspectionInfomatinByProIdAndFlag(String proId);

    /** 根据项目ID与设备编号查出该设备所有巡检新纪录
     * @param proId
     * @param devNum
     * @return
     */
    List<Map<String, Object>> listAllInspectionInfomatinByProIdAndDevNum(String proId, String devNum,String mon);

    void download(HttpServletResponse response, String filename);





}
