package org.rcisoft.business.device.maintenance.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * The type Bus device inspect.
 * @author WangXinYu
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "bus_device_inspect")
public class BusDeviceInspect {
  @Id
  private String insId;
  private String devNum;
  private String inspector;
  private String inspPrincipal;
  private Date inspTm;
  private String inspContent;
  private String flag;
  private String devStatus;


  public String getInsId() {
    return insId;
  }

  public void setInsId(String insId) {
    this.insId = insId;
  }


  public String getDevNum() {
    return devNum;
  }

  public void setDevNum(String devNum) {
    this.devNum = devNum;
  }


  public String getInspector() {
    return inspector;
  }

  public void setInspector(String inspector) {
    this.inspector = inspector;
  }


  public String getInspPrincipal() {
    return inspPrincipal;
  }

  public void setInspPrincipal(String inspPrincipal) {
    this.inspPrincipal = inspPrincipal;
  }


  public Date getInspTm() {
    return inspTm;
  }

  public void setInspTm(Date inspTm) {
    this.inspTm = inspTm;
  }


  public String getInspContent() {
    return inspContent;
  }

  public void setInspContent(String inspContent) {
    this.inspContent = inspContent;
  }


  public String getFlag() {
    return flag;
  }

  public void setFlag(String flag) {
    this.flag = flag;
  }

  public String getDevStatus() {
    return devStatus;
  }

  public void setDevStatus(String devStatus) {
    this.devStatus = devStatus;
  }
}
